%define oname   popen4

Name:       ruby-%{oname}
Version:    0.1.2
Release:    %mkrel 5
Summary:    Open4 cross-platform
License:    Ruby
Group:      Development/Ruby
URL:        https://github.com/shairontoledo/popen4
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
POpen4 provides the Rubyist a single API across platforms for executing a
command in a child process with handles on stdout, stderr, stdin streams as
well as access to the process ID and exit status.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%{gem_docdir}
%doc CHANGES
%doc LICENSE
%doc README.rdoc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.2-5.mga10
+ Revision: 2211009
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.1.2-4.mga9
+ Revision: 1826080
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-3.mga8
+ Revision: 1499866
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.2-2.mga7
+ Revision: 1275191
- Mageia 7 Mass Rebuild

* Mon Jan 25 2016 pterjan <pterjan> 0.1.2-1.mga6
+ Revision: 927619
- imported package ruby-popen4

